API ReferenceapicommunityPOST /v1/communities/{slug}/join

POST /v1/communities/\{slug\}/join

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • slug (string) required

Responses

200 Joined (or already a member)

{
  "type": "object",
  "properties": {
    "community_slug": {
      "type": "string"
    },
    "user_id": {
      "type": "string"
    },
    "role": {
      "type": "string"
    },
    "joined_at": {
      "type": "string"
    }
  },
  "required": [
    "community_slug",
    "user_id",
    "role",
    "joined_at"
  ]
}

404 Community not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://community.platform.loop.health/v1/communities/{slug}/join \
  -H "Authorization: Bearer $ACCESS_TOKEN"